//=============================================================================
//
// file :         EventTesterClass.h
//
// description :  Include for the Event commands which are part of
//		  the DServer class.
//			
// project :      TANGO events
//
// $Author: taurel $
//
// $Revision: 1.2 $
//
// $Log: eventcmds.h,v $
// Revision 1.2  2004/07/07 07:59:20  taurel
// Added some files
//
// Revision 1.1.4.1  2004/01/20 08:32:37  taurel
// -First commit after merge with the event branch and work on the AttributeProxy class
// - Fix bug in the stream "clear()" method usage when used with gcc 3.3
//
// Revision 1.1.2.1  2003/04/10 11:07:44  andy_gotz
// added event commands to DServer admin object
//
//
// copyleft :     European Synchrotron Radiation Facility
//                BP 220, Grenoble 38043
//                FRANCE
//
//=============================================================================
//
//  		This file is generated by POGO
//	(Program Obviously used to Generate tango Object)
//
//         (c) - Software Engineering Group - ESRF
//=============================================================================

#ifndef _EVENTCMDS_H
#define _EVENTCMDS_H

#include <tango.h>

namespace Tango
{
//
// Define classes for commands
//
class EventObtainOfferedTypesCmd : public Tango::Command
{
public:
	EventObtainOfferedTypesCmd(const char *,Tango::CmdArgType, Tango::CmdArgType,const char *,const char *);
	EventObtainOfferedTypesCmd(const char *,Tango::CmdArgType, Tango::CmdArgType);
	~EventObtainOfferedTypesCmd() {};
	
	virtual bool is_allowed (Tango::DeviceImpl *, const CORBA::Any &);
	virtual CORBA::Any *execute (Tango::DeviceImpl *, const CORBA::Any &);
};


class EventSubscriptionChangeCmd : public Tango::Command
{
public:
	EventSubscriptionChangeCmd(const char *,Tango::CmdArgType, Tango::CmdArgType,const char *,const char *);
	EventSubscriptionChangeCmd(const char *,Tango::CmdArgType, Tango::CmdArgType);
	~EventSubscriptionChangeCmd() {};
	
	virtual bool is_allowed (Tango::DeviceImpl *, const CORBA::Any &);
	virtual CORBA::Any *execute (Tango::DeviceImpl *, const CORBA::Any &);
};
}	//	namespace Tango

#endif // _EVENTTESTERCLASS_H
